package Übungen.BreakOut;

import java.awt.Color;

import java.awt.*;
import javax.swing.*;

public class Window extends JFrame {

	final int WIDTH = 700;
	final int HEIGHT = 700;
	GamePlay gamePlay;

	Window() {
		gamePlay = new GamePlay();

		this.setTitle("Breakout Game");
		this.setBounds(10, 10, WIDTH, HEIGHT);
		this.setResizable(false);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setLocationRelativeTo(null);
		this.getContentPane().setBackground(Color.BLACK);
		this.setVisible(true);

		this.add(gamePlay);
	}

	public static void main(String[] args) {
		Window game1 = new Window();
		Thread gamePlay = new Thread(game1.gamePlay);
		gamePlay.start();
//		
//		Ball b1 = new Ball();
	}

}
